//////////////////////////////////////////
// Resizer.cpp
//Copyright (c) 03/27/2022 by BCCSkelton
//////////////////////////////////////////
#include	"Resizer.h"
#include	"ResizerProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!Resizer.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		HWND hWnd = FindWindow("MainWnd", "Resizer");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}
	//メインモーダルダイアログを起動
	return Resizer.DoModal(NULL, "IDD_MAIN", ModalProc, hInstance);
}
